# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    xmoto
%define version 0.1.12
%define release 1.2006mcnl
%define summary X-Moto
%define section More Applications/Games/Arcade

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://xmoto.sourceforge.net/
License:        GPL
Group:          Games
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}-src.tar.gz
Source1:	motox.png

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:	libSDL1.2-devel libSDL_image1.2-devel libSDL_mixer1.2-devel liblua5-devel libode-devel

%description
X-Moto is a challenging 2D motocross platform game, where physics
play an all important role in the gameplay. You need to control
your bike to its limit, if you want to have a chance finishing
the more difficult of the challenges.

%prep
%setup -q

%build

%configure

%make

%install

#icons
%define  nameicon %{SOURCE1}
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

%makeinstall

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="xmoto" \
needs="X11" \
icon="%name.png" \
section="More Applications/Games/Arcade" \
title="X-Moto" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755) 
%_menudir/*
%doc AUTHORS COPYING README
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_iconsdir}/*



%changelog 

* Sat Apr 22 2006 Marco Meijer <marco@mandrivaclub.nl> 0.1.12-1.2006mcnl
first clubbuild www.mandrivaclub.nl

